import type { ComputedRef, Slots } from 'vue';
import type { CustomRender, WithFalse } from '@gx-design-vue/pro-utils';
type KeyValue<T extends keyof any, K> = Record<T, K>;
export declare function useSlotsProps<T extends keyof any, VNode = WithFalse<CustomRender>>(slotsName: T[], slots: Slots, props: Record<string, unknown>): ComputedRef<KeyValue<T, VNode | false>>;
export {};
